## org.hibernate.criterion
Class RowCountProjection

    java.lang.Object
      org.hibernate.criterion.SimpleProjection
          org.hibernate.criterion.RowCountProjection

All Implemented Interfaces:
  Serializable, EnhancedProjection, Projection

    public class RowCountProjection

extends SimpleProjection

A row count

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`RowCountProjection()`

Method Summary
`protected SQLFunction` `getFunction(CriteriaQuery criteriaQuery)`
`Type[]` `getTypes(Criteria criteria, CriteriaQuery criteriaQuery)` Types returned by the rendered SQL `fragment`.
`String` `toSqlString(Criteria criteria, int position, CriteriaQuery criteriaQuery)` Render the SQL fragment to be used in the `SELECT` clause.
`String` `toString()`

Methods inherited from class org.hibernate.criterion.SimpleProjection
`as, getAliases, getColumnAliases, getColumnAliases, getColumnAliases, getColumnAliases, getColumnCount, getTypes, isGrouped, toGroupSqlString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RowCountProjection

    public RowCountProjection()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getTypes

    public Type[] getTypes(Criteria criteria,
                           CriteriaQuery criteriaQuery)
                    throws HibernateException

  Description copied from interface: `Projection`
  Types returned by the rendered SQL `fragment`. In other words what are the types that would represent the values this projection asked to be pulled into the result set?

  Parameters:
    `criteria` - The local criteria to which this project is attached (for resolution).
    `criteriaQuery` - The overall criteria query instance.
  Returns:
    The return types.
  Throws:
    `HibernateException` - Indicates a problem resolving the types

### toSqlString

    public String toSqlString(Criteria criteria,
                              int position,
                              CriteriaQuery criteriaQuery)
                       throws HibernateException

  Description copied from interface: `Projection`
  Render the SQL fragment to be used in the `SELECT` clause.

  Parameters:
    `criteria` - The local criteria to which this project is attached (for resolution).
    `position` - The number of columns rendered in the `SELECT` clause before this projection. Generally speaking this is useful to ensure uniqueness of the individual columns aliases.
    `criteriaQuery` - The overall criteria query instance.
  Returns:
    The SQL fragment to plug into the `SELECT`
  Throws:
    `HibernateException` - Indicates a problem performing the rendering

### getFunction

    protected SQLFunction getFunction(CriteriaQuery criteriaQuery)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.